Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mx.server
Class MethodMapper

    java.lang.Object
      org.jboss.mx.server.MethodMapper

public class MethodMapper
extends Object

Helper class for resolving JMX *Info objects against Method objects. It's typically used during the construction of dispatchers during MBean registration/creation.

Version:
  $Revision: 1.8 $
Author:
  Trevor Squires., Juha Lindfors, Scott.Stark@jboss.org

Constructor Summary
`MethodMapper(Class resourceClass)` Constructs a mapper by reflecting on the class.

Method Summary
`protected HashMap` | `createMap(Class resourceClass)` creates the signature string to Method HashMap.
`static String` | `getterSignature(MBeanAttributeInfo info)` Generates a signature string for an attribute getter method using standard rules
`Method` | `lookupGetter(MBeanAttributeInfo info)` Return a method matching the getter signature expected for an attribute.
`Method` | `lookupMethod(String returnType, String name, String[] signature)` Return a method matching the specified signature
`Method` | `lookupOperation(MBeanOperationInfo info)` Return a method matching the signature defined in the operation info
`Method` | `lookupOperation(MBeanOperationInfo info, Object mbean)` Used to see if a ModelMBean has the operation in question.
`Method` | `lookupSetter(MBeanAttributeInfo info)` Return a method matching the setter signature expected for an attribute
`static String` | `methodSignature(Method method)` Generates a signature string using a Method object.
`static String` | `methodSignature(String returnType, String name, String[] signature)` Generates a signature string using the supplied signature arguments.
`static String` | `operationSignature(MBeanOperationInfo info)` Generates a signature string using the operation info.
`static String` | `setterSignature(MBeanAttributeInfo info)` Generates a signature string for an attribute setter method using standard rules

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodMapper

    public MethodMapper(Class resourceClass)

  Constructs a mapper by reflecting on the class.

Method Detail

### getterSignature

    public static String getterSignature(MBeanAttributeInfo info)

  Generates a signature string for an attribute getter method using standard rules

### setterSignature

    public static String setterSignature(MBeanAttributeInfo info)

  Generates a signature string for an attribute setter method using standard rules

### operationSignature

    public static String operationSignature(MBeanOperationInfo info)

  Generates a signature string using the operation info.

### methodSignature

    public static String methodSignature(Method method)

  Generates a signature string using a Method object.

### methodSignature

    public static String methodSignature(String returnType,
                                         String name,
                                         String[] signature)

  Generates a signature string using the supplied signature arguments.

### lookupOperation

    public Method lookupOperation(MBeanOperationInfo info)

  Return a method matching the signature defined in the operation info

### lookupOperation

    public Method lookupOperation(MBeanOperationInfo info,
                                  Object mbean)

  Used to see if a ModelMBean has the operation in question.

  Parameters:
    `info` -
    `mbean` -
  Returns:
    The mbean method if found, null otherwise

### lookupGetter

    public Method lookupGetter(MBeanAttributeInfo info)

  Return a method matching the getter signature expected for an attribute.

### lookupSetter

    public Method lookupSetter(MBeanAttributeInfo info)

  Return a method matching the setter signature expected for an attribute

### lookupMethod

    public Method lookupMethod(String returnType,
                               String name,
                               String[] signature)

  Return a method matching the specified signature

### createMap

    protected HashMap createMap(Class resourceClass)

  creates the signature string to Method HashMap.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.